package com.cmeeting.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmeeting.dto.UserDTO;
import com.cmeeting.pojo.TencentMeetingUser;
import com.cmeeting.pojo.UserId;
import com.cmeeting.vo.TencentMeetingVO;

import java.util.List;

public interface TecentMeetingService extends IService<TencentMeetingUser> {
    void batchInsert(List<TencentMeetingUser> users);

    void doUsers();

    List<TencentMeetingVO.RecordFile> getMeetingFiles(List<UserDTO> accessUserIds);

    List<UserDTO> getAccessUserIds();

    String getMeetingHost(String meetingCode);

}
